# concurrence.h File Reference

Go to the source code of this file.

## Classes

- class __gnu_cxx::__scoped_lock
    Scoped lock idiom. More...

## Namespaces

- namespace __gnu_cxx

## Defines

- #define _CONCURRENCE_H

## Enumerations

- enum _Lock_policy { _S_single, _S_mutex, _S_atomic }

## Functions

- void __gnu_cxx::__throw_concurrence_lock_error ()
- void __gnu_cxx::__throw_concurrence_unlock_error ()

## Variables

- static const _Lock_policy __gnu_cxx::__default_lock_policy

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file concurrence.h.